	INCLUDE EFR32MG12.inc			; CPU register definitions	
		
	AREA    |.text|, CODE, READONLY	; another section in the CODE area	
;-------------------------------------------------------------------------------
GPIO_setup	PROC				; I/O Ports configuration
	EXPORT	GPIO_setup
	OORW	1<<3, CMU_HFBUSCLKEN0, CMU	; enable clock to GPIO
	OORW	0x44, GPIO_PD_MODEH, GPIO	; configure RG LED pins
	bx	LR
	ENDP	

;-------------------------------------------------------------------------------
CRYOTIMER_setup	PROC
	EXPORT	CRYOTIMER_setup
	OORW	1<<12, CMU_HFPERCLKEN0, CMU	; enable clock to CRYOTIMER
	PUTW	15, CRYOTIMER_PERIODSEL, CRYOTIMER; generate event every second
	PUTW	9,  CRYOTIMER_CTRL 		; start timer
	PUTW	1, CRYOTIMER_IEN		; enable interrupt
	PUTW	1, 0, NVIC_ISER1		; enable CRYOTIMER interrupt in NVIC
	bx	LR
	ENDP
		
	ALIGN
	END
	