	INCLUDE EFR32MG12.inc		; CPU register definitions
	EXPORT	main
	IMPORT	GPIO_setup		; import names from other code files
	IMPORT	CRYOTIMER_setup		

RED_LED		EQU	1<<8
GREEN_LED	EQU	1<<9
	
;-------------------------------------	; CODE segment in flash (ROM)
	AREA    |.text|, CODE, READONLY
main	PROC				; main user code
	bl	GPIO_setup
	bl	CRYOTIMER_setup		; setup 1-sec timer for periodic events
	
loop	wfi				; wait for CRYOMETER interrupt
	PUTW	RED_LED, GPIO_PD_DOUTTGL, GPIO	; toggle LED
	b	loop
	
	ENDP

;-------------------------------------
	ALIGN
	END
	